### Method

# Goa PasswordBased call_get_password

since: 3.6.0

#### Declaration [src]

    void
    goa_password_based_call_get_password (
      GoaPasswordBased* proxy,
      const gchar* arg_id,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously invokes the GetPassword() D-Bus method on `proxy`. When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see g_main_context_push_thread_default()). You can then call `goa_password_based_call_get_password_finish()` to get the result of the operation.

See `goa_password_based_call_get_password_sync()` for the synchronous, blocking version of this method.

Available since: 3.6.0

This method completes asynchronously. Use `goa_password_based_call_get_password_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`arg_id`

  Type: `const gchar*`

  Argument to pass with the method invocation.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.